import React, { useEffect, useState } from "react";
import { Card, Col, Container, Row } from "react-bootstrap";
import { Link } from "react-router-dom";
import CategoryDataAccess from "dataAccess/categoryDataAccess";

const CategoryByProduct = (props: any) => {
  const categorySlag = props.match.params.categorySlag;
  console.log(categorySlag);

  const [categoryName, setCategoryName] = useState(null);
  const [slug, setSlug] = useState(null);
  const [categoryChilds, setCategoryChilds] = useState([]);

  useEffect(() => {
    CategoryDataAccess.getSubCategory(categorySlag)
      .then((data) => {
        console.log(data);
        setCategoryName(data.data.name);
        setSlug(data.data.slug);
        setCategoryChilds(data.data.child);
        // setShopStickStoreProducts(data);
        // setStatus(data.status);
      })
      .catch((error) => {});
  }, []);

  // if (categoryChilds.length === 0) {
  //   return <p>  </p>;
  // }

  return (
    <div className="new-category-design">
      <Container fluid>
        <Row className="top border-bottom">
          <Col xl={4} lg={4} md={12} sm={12} xs={12}>
            <Link to={"/our-products/" + slug} className="offer-image-link">
              <h3 className="top-title"> {categoryName}</h3>
            </Link>
          </Col>
        </Row>
        <Row className="responsive-card">
          {categoryChilds.length !== 0 &&
            categoryChilds.map((child) => {
              return (
                <>
                  <Col xl={2} lg={3} md={4} sm={9} xs={10}>
                    <Card className="card-offer">
                      <Link
                        to={"/our-products/" + child.slug}
                        className="offer-image-link"
                      >
                        <img
                          src={child.image}
                          className="offer-image"
                          alt=""
                        />
                      </Link>
                      <Card.Body>
                        <Card.Title className="offer-card-title">
                          {child.name.length > 20 ? (
                            <p className="card-product-name">
                              {child.name.substring(0, 22) + "..."}
                            </p>
                          ) : (
                            <p className="card-product-name">{child.name}</p>
                          )}
                        </Card.Title>
                      </Card.Body>
                    </Card>
                  </Col>
                  {/* <Row>
                    {child.child.length !== 0 && (
                      <Row className="top">
                        <Col xl={4} lg={4} md={12} sm={12} xs={12}>
                          <h3 className="top-title">Sub child</h3>
                        </Col>
                      </Row>
                    )}

                    {child.child !== [] &&
                      child.child.map((subChild, index) => (
                        <Col xl={2} lg={3} md={4} sm={9} xs={10} key={index}>
                          <Card className="card-offer">
                            <Link
                              to="/special-offers-all"
                              className="offer-image-link"
                            >
                              <img
                                src={subChild.image}
                                className="offer-image"
                                alt=""
                                style={{ height: "70px" }}
                              />
                            </Link>
                            <Card.Body>
                              <Card.Title className="offer-card-title">
                                {subChild.name.length > 20 ? (
                                  <p className="card-product-name">
                                    {subChild.name.substring(0, 22) + "..."}
                                  </p>
                                ) : (
                                  <p className="card-product-name">
                                    {subChild.name}
                                  </p>
                                )}
                              </Card.Title>
                            </Card.Body>
                          </Card>
                        </Col>
                      ))}
                  </Row> */}
                </>
              );
            })}
        </Row>
      </Container>
    </div>
  );
};

export default CategoryByProduct;
