import React from "react";
import { ProgressBar } from "react-bootstrap";

export default function MyProgressBar({
   totalQuestions,
   currentIndex,
}: {
   totalQuestions: number;
   currentIndex: number;
}) {
   const completePercentage = ((currentIndex + 1) * 100) / totalQuestions;
   return (
      <div className="my-timer-container">
         <ProgressBar>
            <ProgressBar variant="info" now={completePercentage} key={1} />
            <ProgressBar variant="secondary" now={100 - completePercentage} key={2} />
         </ProgressBar>
         <div className="my-timer">
            {currentIndex + 1}/{totalQuestions}
         </div>
      </div>
   );
}
