import { faPhone } from "@fortawesome/free-solid-svg-icons";
import Axios, { AxiosError, AxiosResponse } from "axios";
import { getAuthHeader } from "services/userServices";
import { convertObjectToFormData } from "services/util";
import { linkSliderImage, getAllSettingData, getAllCompairData, getAllSolutionData, getAllAboutData, getAllShipingData, getAllSliderDetail, getSectionProductsName ,linkRegistration} from "./apiEndpoints";

class sliderDataAccess {
    getSliderImage = () => {
        return Axios.get(linkSliderImage)
           .then((response: AxiosResponse) => {
                 return response.data;
           })
           .catch((error: AxiosError) => {
                return (error.message);
           });
     };

     getSliderImageDetail = (sliderId) => {
           console.log(sliderId);
      return Axios.get(getAllSliderDetail + "/" + sliderId)
      .then((response: AxiosResponse) => {
         return response.data;
         })
         .catch((error: AxiosError) => {
            return (error.message);
         });
      };

     getSolutionPageData = () => {
      return Axios.get(getAllSolutionData)
         .then((response: AxiosResponse) => {
               return response.data;
         })
         .catch((error: AxiosError) => {
              return (error.message);
         });
     };

     getSettingData = () => {
      return Axios.get(getAllSettingData)
         .then((response: AxiosResponse) => {
               return response.data;
         })
         .catch((error: AxiosError) => {
              return (error.message);
         });
     };

     getAboutData = (content = false) => {
      return Axios.get(getAllAboutData + (content === true ? `?content=${content}` : ''))
         .then((response: AxiosResponse) => {
               return response.data;
         })
         .catch((error: AxiosError) => {
              return (error.message);
         });
     };

     getShipingData = () => {
      return Axios.get(getAllShipingData)
         .then((response: AxiosResponse) => {
               return response.data;
         })
         .catch((error: AxiosError) => {
              return (error.message);
         });
     };

     getCompairData = (productId: string) => {
      return Axios.get(getAllCompairData + "/" + productId)
         .then((response: AxiosResponse) => {
               return response.data;
         })
         .catch((error: AxiosError) => {
              return (error.message);
         });
     };

     getSectionData = () => {
      return Axios.get(getSectionProductsName)
         .then((response: AxiosResponse) => {
               return response.data;
         })
         .catch((error: AxiosError) => {
              return (error.message);
         });
     };
     submitRegisterValue  = (shopName,companyCountry,companyState,companyCity,companyZipcode,tradeLicense,
      date,vatRegistrationNo,tradeLicenseImgage,vatCertificateImage,bankName,accountName,Branch,accountNumber,name,Email,Phone,Password) => {
      const data = convertObjectToFormData({
            shop_name:shopName,
            company_country: companyCountry,
            company_state:companyState,
            company_city: companyCity,
            company_zipcode : companyZipcode,
            trade_license: tradeLicense,
            trade_license_validity: date,
            vat_registration_no: vatRegistrationNo,
            trade_license_imgage: tradeLicenseImgage,
            vat_certificate_image: vatCertificateImage,
            bank_name: bankName,
            account_name: accountName,
            branch: Branch,
            account_number: accountNumber,
            owner_name: name,
            email: Email,
            phone: Phone,
            password: Password

      });
      return Axios.post(linkRegistration, data, {
        headers: {
          Authorization: getAuthHeader(),
        },
      })
      .then((response: AxiosResponse) => {
        console.log(response);
        return response.data;
      })
      .catch((error: AxiosError) => {
        return error.message;
      });
    };

}
export default new sliderDataAccess();